package slow_module;

use warnings "all";
use strict;
use POE;

use base 'POE::Session::AttributeBased';



sub start
{
	POE::Session->create
	(
		__PACKAGE__->inline_states(),
		'heap' =>{},
	);
	return 1;
}


sub _start : State
{

	print "starting up\n";
	 # Set our alias
        $_[KERNEL]->alias_set( 'Slow' );
        $_[SESSION]->option( 'alias' => 'Slow' );
        # Setup the DIE handlers
        $_[KERNEL]->sig( 'DIE', 'death_handler' );

        # Automatically detach ourself!
        $_[KERNEL]->detach_myself;

        # All done!
        return;
}
sub _stop : State {return;}
sub _parent : State {return;}


sub lag : State
{
	$_[KERNEL]->delay_set('lag_done',2,$_[ARG0]);
}
sub lag_done : State
{
	print("responding\n");
	my $conn=$_[ARG0];
	$conn->put("Roger that.");
}

1;
