#client to exercise poe filehandle leak.
#1) does normal behavior, getting response, then closing
#2) exercises failure case by closing abruptly


use warnings "all";
use strict;

use IO::Socket;

my @connections=();
my $conn_num=1;

my $server_pid=`pgrep -f sfbug.pl`;

$conn_num-=1;# using this in a for loop, so one less than specified.

sub handle_count
{
	
	my $count_str="lsof -p $server_pid ";
	my @spew=`$count_str`;
	return (scalar(@spew)-1); #don't count the header line given by lsof
}

print ("before opening sockets, our server has: " .handle_count(). " handles open\n");

for(0..$conn_num)
{

	my $sock = new IO::Socket::INET
	(
		PeerAddr => 'localhost', #"192.168.3.109",
		PeerPort => 2502,
		Proto => 'tcp'
	) || die "Error creating socket: $!\n";

	push (@connections, $sock);

} 
print ("after opening sockets, our server has: " . handle_count(). " handles open\n");



foreach my $sock(@connections)
{
	print $sock "hello old chap. I am polite\n";
}
foreach my $sock(@connections) #allow the server to reply
{
	  my $line= <$sock> ;
	  print $line;
}

foreach my $sock(@connections)
{
	close($sock);
}

print ("after letting the lag complete and then closing, our server has: " . handle_count() . " handles open\n");
 
@connections=();
for(0..$conn_num)
{

	my $sock = new IO::Socket::INET
	(
		PeerAddr => 'localhost', #"192.168.3.109",
		PeerPort => 2502,
		Proto => 'tcp'
	) || die "Error creating socket: $!\n";

	push (@connections, $sock);

} 
print ("after opening new sockets, our server has: " . handle_count(). " handles open\n");



foreach my $sock(@connections)
{
	print $sock "here comes johnny\n";
}
#rudely disconnect before server can respond.
foreach my $sock(@connections)
{
	close($sock);
}
sleep(4);

print ("handles should be cleaned by now: we have " . handle_count(). " handles open\n");

print("hit enter to see list of handles held by server.\n");
<>;
my $display_str="lsof -p $server_pid";
print `$display_str` . "\n";



